<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReeferObjectActual StructType
 * @subpackage Structs
 */
class ReeferObjectActual extends ReeferObject
{
    /**
     * The ObcTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $ObcTime;
    /**
     * Constructor method for ReeferObjectActual
     * @uses ReeferObjectActual::setObcTime()
     * @param string $obcTime
     */
    public function __construct($obcTime = null)
    {
        $this
            ->setObcTime($obcTime);
    }
    /**
     * Get ObcTime value
     * @return string
     */
    public function getObcTime()
    {
        return $this->ObcTime;
    }
    /**
     * Set ObcTime value
     * @param string $obcTime
     * @return \StructType\ReeferObjectActual
     */
    public function setObcTime($obcTime = null)
    {
        // validation for constraint: string
        if (!is_null($obcTime) && !is_string($obcTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($obcTime, true), gettype($obcTime)), __LINE__);
        }
        $this->ObcTime = $obcTime;
        return $this;
    }
}
